Jump to content
Ubiquitous

UI not found. Please check that you have the proper UI resource files.

Recommended Posts

Hello folks. I have recently upgraded to Windows 10 and am unable to launch Combat Mission: Battle for Normandy. Attempting to do so produces the following error:
 
"UI not found. Please check that you have the proper UI resource files. The application will be terminated."
 
Does anyone know what the cause of this error is, or of a possible fix?

Edited by Ubiquitous

Share this post


Link to post
Share on other sites

I have this exact same problem and no response is posted to this old topic (1 August).  I have just tried to use Combat Mission Battle for Normandy and I now get the response indicated in the first post.  (I had no problems at all with Combat Mission Red Thunder).  Has there been a fix for this?  What is the status?

Share this post


Link to post
Share on other sites

What exact version of CMBN is this ? There is a possibility that version 1.x of CMBN may generate the 'UI not found...' error in Windows 10. I got this error with the CMBN Demo, which is still at 1.11. This issue was discussed in this posting:

Share this post


Link to post
Share on other sites

I'm not a fan of the current editing system in this new forum....

If you're experiencing the 'UI not found...' problem with CMBN 2.x or 3.x, then you may want to contact the Helpdesk. You might be instructed to perform a clean reinstall of CMBN to see if the issue persists.

Share this post


Link to post
Share on other sites

Hi Schullenhaft

    Thanks for your quick responses.  I THINK I am running version 1.11 with CMBN (I have upgraded to 1.03 with Combat Mission Red Thunder, which is the program I use most frequently).  From my review of the 'Combat Mission with Windows 10' thread I think I am in real trouble now, as there does not seem to be an easy fix if you have an older version of CMBN.  Very frustrating, as Red Thunder seemed to work fine when I changed Operating Systems (or upgraded, or whatever)

Share this post


Link to post
Share on other sites

CMRT is the equivalent of CMBN 3.x, in terms of graphic engines and copy-protection (updates). CMRT utilizes the latest copy-protection software (same copy protection system, just more up-to-date), which is quite possibly the culprit with the CMBN 1.x games getting the 'UI not found...' errors.

Share this post


Link to post
Share on other sites

OK, I FINALLY got CMBN to work, but I had to upgrade to the new version to make it happen.  This is despite the great efforts of the trouble ticket team, who sent me a program to try and clean CMBN so that it would work with Windows 10.  That did NOT work, so the only alternative I was left with was to pay for the upgrade.  Sad, but true.

So, for some people who upgrade to Windows 10 you will be stuck and HAVE to upgrade if you want CMBN to work.

Share this post


Link to post
Share on other sites

I bought a new computer and am now re-downloading all the Combat Mission games to the new computer.  This new computer has Windows 10.  It seems that I got CMBS, CMFI & CMRT downloaded and installed without to much of a problem.  However with CM Battle for Normandy after I downloaded it from my account to the new computer and attempted to run it I got the window which reads: 

"UI not found. Please check that you have the proper UI resource files. The application will be terminated."

I have purchased all the packs, modules, upgrades etc. for CMBN and have everything working on the old computer.   When I went to my account to re-download CMBN to the new computer I clicked on the first CMBN item in my account list that I had purchased back in September 2012 which was the CMBN base game / Commonwealth Bundle.  

Should I have clicked on a different item in my CMBN account list?  (I thought I needed to click on the base game first)  I know that in a previous post Ludi1867 said he had to buy the upgrade to make his game work however I already have the upgrade. 

I must be doing something wrong this time.  Any ideas would be greatly appreciated.   

  

Share this post


Link to post
Share on other sites

@MOS:96B2P - I suggest logging a support ticket with the Help Desk.  They need to track how often this still happens.  You need the benefit of their access to "resolved" tickets and remedies for this.  Good luck!

Share this post


Link to post
Share on other sites

MOS:96B2P - Download and install the 3.11 patch. This should be an intsaller that is about 9GB in size. This is actually the installer that has EVERYTHING in it for the CMBN family (at the moment). This will require using the CMBN 3.0 Upgrade license key to activate (along with license keys for the other modules that you have). The CMBN + Commonwealth bundle will install CMBN 1.11 with the Commonwealth module, which is utilizing a slightly older version of the copy-protection system that is giving you the 'UI error' that you're seeing. 

Share this post


Link to post
Share on other sites

MOS:96B2P - Download and install the 3.11 patch. This should be an intsaller that is about 9GB in size. This is actually the installer that has EVERYTHING in it for the CMBN family (at the moment). This will require using the CMBN 3.0 Upgrade license key to activate (along with license keys for the other modules that you have). 

Okay, so I just need the 3.11 patch.  Where do I find the 3.11 all in one installer patch?  I have the patch on my old computer but the patch is not listed in my account list since we don't pay for patches.  However I can find a 3.11 patch if I go to Downloads - Patches.  The download - patches site tells me I need the 3.0 game installed on the computer first.  Of course I don't have any CMBN installed on the new computer yet (that's what I'm trying to do).  Also it looks like the zip file for the 3.11 patch is 1.1GB.  You thought it was about 9GB in size so I am not at all sure this patch I found is the same thing you are talking about.  Sorry for all the questions but if you could provide some more details about where the 3.11 all in one installer patch is located.  Or maybe this one I found is it?       

Share this post


Link to post
Share on other sites

Okay, I went ahead and downloaded the 3.11 Patch from the downloads - Patches site.  The 3.11 Patch is a zip file holding additional zip files.  Inside the first zip file was a CMBN set up icon.  I clicked on the icon and installed CMBN and entered my old 3.0 activation code.  CMBN base game seems to be loaded okay.  

Now for all the remaining modules vehicle pack etc .................  That first CMBN set up icon placed an "activate modules" shortcut on my desktop.  When I click on the activate modules shortcut it reads: Enter the key that was given to you when you purchased CM Battle for Normandy PC

Which key is it wanting?  I entered the 3.0 key again but it did not work.

Also there are the remaining zip files that seem to be like Russian Matryoshka dolls.  Every time I open one zip file there is another zip file inside along with a CMBN set up icon, .bin and .brz files.  These set up icons so far always read CMBN set up.  Not CW or MG or VP set up.  

Maybe I need to extract all the zip files and click on each CMBN set up icon instead of / or in addition to the "activate modules" icon?  

I extracted that first zip file into its own desktop folder and chose "extract to here" in an attempt to avoid other problems with the un-zipping.  What do I do with the .bin and .brz files that are in the desktop folder?  Are they extra that can be deleted?  It seems like the .brz and .bin files will be deposited in the folder every time I extract one of these zip files.  

Any adult supervision would be appreciated.          

   

Share this post


Link to post
Share on other sites

Looking at some of the available downloads for the 3.11 patch, it appears that there are ones that are NOT the 9+ GB download (that actually installs everything for CMBN). The 3.11 patch downloads I've seen appear to be about a little over 1GB in size, which does NOT install everything. The 1GB 3.11 patch requires that CMBN 3.0 already be installed, which means you would have to have Commonwealth, 2.0 Upgrade and 3.0 Upgrade and Market Garden installed already BEFORE installing this particular patch. You should NOT have to do anything during the install of this patch other than run the setup.exe file (though the download I saw had .bin files rather than .zip files in addition to the installer).

These are the instructions for installing and licensing the 3.11 patch.

If you purchased the CMBN 3.0 Upgrade, then I believe you should have access to the 3.0 Upgrade/3.11 patch installer that is 9+ GB in size in your Battlefront Store account (I believe this was made available for everyone, even if you purchased the 'mail delivery only' option). That would not need ANYTHING installed beforehand (since it installs everything).

Share this post


Link to post
Share on other sites

Sounds like I installed the original 3.11 patch and not the new 9+ GB 3.11 all in one installer patch.  And then I also activated the modules.  So first, do I need to un-install CMBN from the new computer since it is the wrong 3.11?

Second, where do I get the correct 9+ GB 3.11 installer?  I bought everything BFC sold for CMBN including the 3.0 upgrade.  In fact it was the 3.0 license key I used to activate the wrong 3.11 installer.  I looked through my BFC account and opened all 13 items to see what they were.  The 3.0 upgrade was in the list.  Nothing in the list indicated that it was the 9+ GB 3.11 all in one installer patch.  I think the link in your last post is for the 1GB 3.11 patch (the wrong one that I already downloaded onto the new computer).

The CMBN loading screen on the old computer reads  v3.11 Game Engine 3.     

Share this post


Link to post
Share on other sites

Sounds like I installed the original 3.11 patch and not the new 9+ GB 3.11 all in one installer patch.  And then I also activated the modules.  So first, do I need to un-install CMBN from the new computer since it is the wrong 3.11?

Yes, I would uninstall what is not working before trying again.

Second, where do I get the correct 9+ GB 3.11 installer?  ... The 3.0 upgrade was in the list.  Nothing in the list indicated that it was the 9+ GB 3.11 all in one installer patch....

Yeah nothing *indicates* that it is the big 9Gb 3.11 installer but that 3.0 upgrade is it.  Download that and you should see that the download is big - really big.

Share this post


Link to post
Share on other sites

Yeah nothing *indicates* that it is the big 9Gb 3.11 installer but that 3.0 upgrade is it.  

Thanks Ian.  Wish I had known this before.  I will start over again tomorrow.  A lot of patience and an adult beverage is required for this CMBN install on a new computer adventure.  Thanks again Ian and Schrullenhaft!    

Share this post


Link to post
Share on other sites

The download only took about four hours on the second try.  Next, the strangest thing ................ the game and all the modules are present and already activated.  However, the install placed an "activate modules" icon on my desktop and the directions said I would need to enter my 3.0 activation............. guess I can just ignore that......

I'm just happy this three day journey is over and everything seems to be working finally.  (Just have to locate all my favorite mods now)    

Share this post


Link to post
Share on other sites

I would like to bump this as I am getting  this error on UI files.

Here is what I have:

1) CM Normandy - v3.0 UPGRADE

 

2) Combat Mission: Battle for Normandy

and finally

3) CM Normandy - v2.0 UPGRADE

So three files and a clean computer running Win10. I do not want to unpack into the C drive due to issues with UAC so I won't be using the default locations.

EXACTLY what do I have to install and in what order?

I have uninstalled everything ready for a clean start. I have tried installing ONLY v3.0 upgrade and I have tried installing 2) then 3) then 1). In each case I get UI error.

 

What am I doing wrong? They don't make it easy do they?

 

Share this post


Link to post
Share on other sites

They do now. Go to your store account and download the all in one installer. You will find it under your v3 upgrade purchase. That is now the full installer of everything up to 3.11. Install that. Activate it with your v3 activation code and then activate any modules you purchased using the activate module short cut. Then you only have the 3.12 patch to install and you are done.

Share this post


Link to post
Share on other sites

Already done that (roughly 10GB download). Did not ask for activation code but immediately generates error code. When I look in the apps section of Win10 it has not installed properly. Uninstalled, tried again same problem. Repeat ad nauseum.

I'm thinking its not uninstalling properly, but I don't know how to go about clearing the registry and I can't find anything in the registry with a cursory look.

The all in one would be option 1) in my first post, no?

 

 

 

Edited by andyk

Share this post


Link to post
Share on other sites

Your first post sounded like you were doing too much and the no UI thing is an error you will see if you try and install 1.0.

Since you did try the right thing and it didn't work I think you are beyond the self help forum. I recommend opening a support ticket. The pros are good at sorting things out.

Share this post


Link to post
Share on other sites

×